Name: elinks
Version: 0.4.2
%define pre %nil
Release: alt1%pre
#elease: alt1cvs

%set_compress_method gzip

Summary: Lynx-like text WWW browser
License: GPL
Group: Networking/WWW

Url: http://elinks.or.cz
Source0: http://elinks.or.cz/download/%name-%version%pre.tar.bz2
Source1: www_section.xpm
#atch0: %name-0.4.0-alt-owl-tmp.patch
Patch1: %name-0.4.0rc4-alt-hooks.patch
Patch2: %name-0.4.1-alt-pld-lua-scripts-fixes.patch

PreReq: /usr/sbin/update-alternatives
Requires: common-licenses
Provides: webclient, links, /usr/bin/links

# Automatically added by buildreq on Mon Jan 27 2003
BuildRequires: bzlib-devel libgpm-devel libssl-devel lua-devel zlib-devel

# shared build
BuildPreReq: lua-devel >= 4.0.1-alt4

%description
ELinks is advanced text-mode web browser with wide scale of additional
features and extensibility by possibility to plug in own scripts in Lua
language. This project aims to provide feature-rich version of Links,
with more open patches/features inclusion policy.

%prep
%setup -q -n %name-%version%pre
#patch0 -p1
%patch1 -p1
%patch2 -p1

%build
%configure --without-x --sysconfdir=%_sysconfdir/%name
(cd Unicode ; LC_ALL=C ./gen )
%make_build

%install
%makeinstall
mkdir -p $RPM_BUILD_ROOT%_menudir
cat << EOF >$RPM_BUILD_ROOT%_menudir/%name
?package(%name):  \
	command="/usr/bin/elinks" \
	needs="text" \
	icon="%name.xpm" \
	section="Networking/WWW" \
	title="ELinks" \
	longtitle="Lynx-like text WWW browser"
EOF
%__install -pD -m644 %SOURCE1 $RPM_BUILD_ROOT%_iconsdir/%name.xpm
%__install -pD -m644 contrib/lua/config.lua $RPM_BUILD_ROOT%_sysconfdir/%name/config.lua
%__install -pD -m644 contrib/lua/hooks.lua $RPM_BUILD_ROOT%_sysconfdir/%name/hooks.lua
%__ln_s -f /usr/share/license/GPL-2 COPYING
cat << EOF >$RPM_BUILD_ROOT%_sysconfdir/%name/elinks.conf
# ALT defaults
set terminal.screen.colors = 1
set terminal.screen.type = 1
EOF
find contrib '(' -name CVS -o -name 'Makefile*' ')' -print0 | xargs -r0 %__rm -rf --

%post
/usr/sbin/update-alternatives \
	--install %_bindir/links links %_bindir/%name 30 \
	--slave %_man1dir/links.1.gz links.1.gz %_man1dir/%name.1.gz
%update_menus

%triggerpostun -- links, %name < 0.4.1
/usr/sbin/update-alternatives \
	--install %_bindir/links links %_bindir/%name 30 \
	--slave %_man1dir/links.1.gz links.1.gz %_man1dir/%name.1.gz

%postun
[ $1 = 0 ] || exit 0
/usr/sbin/update-alternatives \
	--remove links %_bindir/%name
%clean_menus

%files
%_bindir/*
%dir %_sysconfdir/%name
%config(noreplace) %_sysconfdir/%name/*
%_mandir/man?/*
%_menudir/%name
%_iconsdir/*.xpm
%doc AUTHORS BUGS ChangeLog INSTALL NEWS README SITES THANKS TODO
%doc --no-dereference COPYING 
%doc contrib

%changelog
* Sun Jan 26 2003 Alexey Tourbin <at@altlinux.ru> 0.4.2-alt1
- 0.4.2 (a few fixes)
- alt-owl-tmp patch disabled; this requires extra study

* Tue Jan 21 2003 Alexey Tourbin <at@altlinux.ru> 0.4.1-alt1cvs
- 0.4.1 (bugfix release) + current-stable fixes (cvs-20030120 patch;
  my env-http_proxy patch accepted)
- fixed %%postun code
- lua-scripts-fixes patch integrated (PLD Team)
- yandex search added to hooks.lua (alt-hooks patch)
- COPYING points to /usr/share/license/GPL-2

* Tue Dec 24 2002 Alexey Tourbin <at@altlinux.ru> 0.4.0-alt1
- initial build (based on links1-0.98-alt3)
